

  <?php
	include_once("../header.php");
        include_once("../php/config.php");
        $sql = mysql_query("select * from vendedores") or die(mysql_error());
        
        //$sql_cartera = mysql_query("select * from cartera where estado_cartera='1' order by nombre asc") or die(mysql_error());
	?>
<style>
th,td{
	@font-size:18px;
}

th{
	text-align:center;
}
</style>

<div class="container"> 
 <div class="row">
    
      <div class="col-md-12">
  <ol class="breadcrumb">
  <li><a href="#">Usuarios</a></li>

  <li class="bold"><a href="#">Registro de usuarios</a></li>
 
</ol>
 
	
		<div class="panedl panedl-default">
			<div class="panfel-heafding">
				        <a class="btn  btn-info mb-2" href="javascript:void(0)" onClick="modalUsuario()"><i class="fa fa-plus"></i> Registrar un nuevo vendedor</a>

			</div>
			  <hr>
	<div class="panddel-body">
	   <script type="text/javascript">
          function modalVendedor(){
            $("#modalVendedor").modal('show');
            setTimeout(function(){
             $("#frm").trigger('reset'); 
            },500)
            
        }
        </script>
        <div class="table-responsive col-md-6">
          <table class="table table-sm  table-hover table-striped" style="width:100%">
            <thead>
              <th width="100"># Vendedor</th>
              <th>Nombre/Apell. </th>

             
            
              <th width="45">Opciones</th>
            </thead>
            <tbody>
           <?php while($r=mysql_fetch_array($sql)){?>
              <tr>
                <td><?php echo $r["id_vendedor"]?></td>
                <td><?php echo $r["nombre"]?></td>

               <td ><a class="text-info mb-2" href="#modalVendedor" data-toggle="modal" onClick='ver(<?php echo $r["id_vendedor"]?>)'><i class="fa fa-edit"></i> Editar</a></td>
              </tr>
                                                        <?php }?>
            </tbody>
          </table>
        </div>
      </div>
	    </div>
		 </div>
		  </div>
    </div>
</div>
        </div>
      </div>
      


          
</div>
        


     </div>
   </div>
   
		
    </div>

	<!---Modal Cliente-->
	<div class="modal fade" id="modalUsuario" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h3 class="modal-title text-success" id="exampleModalLabel"><i class="fa fa-w fa-key"></i> Registro de vendedor</h3>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 
     

        <div class="row">
  				<label for="id" class="col-sm-3 col-form-label" >Id</label>
  				<div class="col-sm-3">
  				  <input autocomplete="off" type="text"  class="form-control  mb-2" id="id" value="" disabled>
  				</div>
			  </div>
			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Nombre</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="nombre" name="nombre" value="">
          </div>
        </div>
			  


        <div class="row">
          <label for="id" class="col-sm-3 col-form-label text-info" ><strong>Activo</strong></label>
          <div class="col-sm-1">
            <input autocomplete="off" type="checkbox"  id="estado" name="estado" value="1" class="mt-2">
          </div>
        </div>

      

          
			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="grabar_vendedor()"><i class="fa fa-w fa-save"></i> Grabar</button>

                  <button class="btn btn-default" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> Borrar</button>

            <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
id_vendedor="";
function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from vendedores where id_vendedor='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_vendedor= rs.data[i].id_vendedor;             
                    $("#nombre").val(rs.data[i].nombre);
                    
                    $("#id").val(rs.data[i].id_vendedor);
                   
                   /*
				   if(estado=="1"){  
                      $("#estado").prop("checked",true);
                      }else{
                        $("#estado").prop("checked",false);
                      }
					 */
                   /// $("#nivel option[value='"+rs.data[i].nivel+"']").prop('selected', true);
                  
                    ///$("#cartera option[value='"+rs.data[i].cartera+"']").prop('selected', true);
                  
                }
                $("#loading").modal('hide');
            })
        }
  
  function grabar_vendedor(){
     if(!confirm("Seguro(a) que desea registrar este vendedor?")){return;}                   
    
     var nombre = $("#nombre").val();
     //var cartera = $("#cartera").val();
     id_vendedor = $("#id").val();
     ///if( $('#estado').prop('checked') ) {
    /////   estado="1";
   //// }else{
      estado="0";
   //// }



     if(nombre==""){msg('Faltan datos'); return}
    var sql="";                            
        if(id_vendedor==""){
            sql="INSERT INTO vendedores set ";
            sql+="nombre='"+nombre+"'";
           
            //sql+=", cartera='"+cartera+"'";
            ///sql+=", estado_usuario='"+estado+"'"; 
           

        }else{
            sql="UPDATE vendedores set";
            sql+=" nombre='"+nombre+"'";
           
            ///sql+=", cartera='"+cartera+"'";
           /// sql+=", estado_usuario='"+estado+"'"; 
            sql+=" WHERE id_vendedor='"+id_vendedor+"'";
           
            
        }
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalVendedor").modal('hide');
        noti("success","Registro grabado con exito","success");
        $("#delete").hide();
        dstry();
        id_vendedor="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          alert(data);
          
      }
        $("#loading").modal('hide');
    })
}
  

 function borrar(){
  
     if(id_vendedor==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from vendedores where id_vendedor='"+id_vendedor+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalVendedor").modal('hide');
        noti("success","Registro eliminado con exito","Ok");
        $("#delete").hide();
        dstry();
        id_vendedor="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}



            $(".table").DataTable();
         
        </script>

